Problems running installation script

More
1 week 15 hours ago - 6 days 9 hours ago #183309 by micaldas1
HI,
I'm trying to install limesurvey3.17.1+190408.zip in a new Ubuntu 18.04 vps, with Apache and mysql.
I followed the steps in the installation manual but, when I accessed example.com/limesurvey/admin , I get this error message:
0) { define('YII_DEBUG', true); if($aSettings['config']['debug']>1) error_reporting(E_ALL); else error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_DEPRECATED); } else { define('YII_DEBUG', false); error_reporting(0); } } else { error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_DEPRECATED);// Not needed if user don't remove his 'debug'=>0, for application/config/config.php (Installation is OK with E_ALL) } if (version_compare(PHP_VERSION, '5.3.3', '<')) die ('This script can only be run on PHP version 5.3.3 or later! Your version: '.PHP_VERSION.'
'); require_once __DIR__ . '/third_party/autoload.php'; /* * -------------------------------------------------------------------- * LOAD THE BOOTSTRAP FILE * -------------------------------------------------------------------- * * And away we go... * */ require_once BASEPATH . 'yii' . EXT; require_once APPPATH . 'core/LSYii_Application' . EXT; $config = require_once(APPPATH . 'config/internal' . EXT); Yii::$enableIncludePath = false; Yii::createApplication('LSYii_Application', $config)->run(); /* End of file index.php */ /* Location: ./index.php */

I have absolutely no idea what this means although I read something about the php version and mine 7, so that musn't be the problem.

As I said, I have no idea what this means and any help would be greatly appreciated.

Thanks
Last edit: 6 days 9 hours ago by DenisChenu.

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
6 days 22 hours ago #183312 by jelo
That is an error but no error message. The php code is shown as source, which should not happen.
You should retry to complete installation. And if the same issue occurs, you will need to open a bug ticket.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

More
6 days 20 hours ago #183317 by holch
Are you sure your LAMP environment is setup correctly? You mention Apache and MySQL, what about PHP?

Looks like the PHP code isn't getting parsed.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
6 days 9 hours ago #183320 by DenisChenu
before all :

help.ubuntu.com/community/ApacheMySQLPHP

and check with a phpinfo file

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!